Package ru.bitel.bgbilling.modules.sorm.server.bean

# Class SormContract

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.sorm.server.bean.SormContract

All Implemented Interfaces:
  `ContractIdable`

public class SormContract extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SormContract(int contractId, String contractTitle, Date dateFrom, Date dateTo, boolean isFiz, int status, boolean isSub, int scid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getContractTitle()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getScid()`
  `int`
  `getStatus()`
  `int`
  `hashCode()`
  `boolean`
  `isFiz()`
  `boolean`
  `isSub()`
  `SormContract`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setFiz(boolean fiz)`
  `void`
  `setScid(int scid)`
  `void`
  `setStatus(int status)`
  `void`
  `setSub(boolean sub)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SormContract

    public SormContract(int contractId, String contractTitle, Date dateFrom, Date dateTo, boolean isFiz, int status, boolean isSub, int scid)

- ## Method Details

  - ### setContractId

    public SormContract setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### isFiz

    public boolean isFiz()

  - ### setFiz

    public void setFiz(boolean fiz)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### isSub

    public boolean isSub()

  - ### setSub

    public void setSub(boolean sub)

  - ### getScid

    public int getScid()

  - ### setScid

    public void setScid(int scid)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`